Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153751 - ext3 not on list of filesystems in disk druid
Summary: ext3 not on list of filesystems in disk druid
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-05 16:41 UTC by Elliot Lee
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-12 07:49:02 UTC


Attachments (Terms of Use)
anaconda.log (deleted)
2005-04-05 17:49 UTC, Elliot Lee
no flags Details
anaconda.syslog (deleted)
2005-04-05 17:51 UTC, Elliot Lee
no flags Details

Description Elliot Lee 2005-04-05 16:41:43 UTC
When doing an install on a powerbook, I go into disk druid, try to have it
reformat an existing partition as ext3, but only ext2 is on the list of file
systems. No ext3.

This is the FC4-re0404.0 tree

Comment 1 Jeremy Katz 2005-04-05 17:45:09 UTC
This means the module isn't loading for some reason.  Can you grab
/tmp/anaconda.log and /tmp/syslog?  (if you've installed, they're
/var/log/anaconda*)

Comment 2 Elliot Lee 2005-04-05 17:49:48 UTC
Created attachment 112722 [details]
anaconda.log

Comment 3 Elliot Lee 2005-04-05 17:51:36 UTC
Created attachment 112723 [details]
anaconda.syslog

Comment 4 Elliot Lee 2005-04-05 17:58:04 UTC
kernel issue

Comment 5 David Woodhouse 2005-04-06 00:00:36 UTC
ext3 in the 2.6.11-1.1225_FC4 kernel works fine for me on PPC:

shinybook /home/dwmw2 $ uname -rm
2.6.11-1.1225_FC4 ppc
shinybook /home/dwmw2 $ lsmod | grep ext3
ext3                  171560  1
jbd                   107224  1 ext3

This looks like something's going wrong with the installer image -- why isn't
jbd.ko getting loaded before ext3.ko?

But yes, the root of the problem _does_ lie with the kernel. Since ext3 is our
default file system, we _really_ shouldn't make things gratuitously more fragile
by building it as a module instead of statically in the kernel.

Comment 6 Colin Charles 2005-04-07 05:21:34 UTC
I'm told this should be fixed in FC4-re0406.1, however other installer issues
prevent this from actually being installed (tracebacks in anaconda?).

Comment 7 Colin Charles 2005-04-12 07:49:02 UTC
This is fixed; verified with the FC4-re0409.1 tree


Note You need to log in before you can comment on or make changes to this bug.